Loading...
Searching...
No Matches
base64.h File Reference
`#include "platform.h"`
`#include "enum_type.h"`
`#include "error_handler.h"`
`#include "exception.h"`
`#include "integral_limits.h"`
`#include "type_traits.h"`

Go to the source code of this file.

## Classes

class | etl::base64_exception
| Exception base for base64. More...
class | etl::base64_overflow
| buffer overflow exception. More...
class | etl::base64_invalid_data
| Illegal character exception. More...
class | etl::base64_invalid_decode_input_length
| Invalid decode input length exception. More...
class | etl::base64
| Common Base64 definitions. More...
struct | etl::base64::Encoding
struct | etl::base64::Padding
struct | etl::base64::Non_Coding_Characters

## Namespaces

namespace | etl